Name | Type | Default |
disabled
|
boolean
|
false
|
Enables or disables the jqxFormattedInput.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxFormattedInput, { IFormattedInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxformattedinput'; class App extends React.PureComponent<{}, IFormattedInputProps> { private myFormattedInput = React.createRef<JqxFormattedInput>(); public render() { return ( <JqxFormattedInput ref={this.myFormattedInput} disabled={true} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
decimalNotation
|
FormattedInputDecimalNotation
|
"default"
|
FormattedInputDecimalNotation: "default" | "exponential"
Sets or gets the notation in which to display decimal numbers.
Possible values
'default' - the default representation of decimal numbers, e.g. 1590;
'exponential' - representation of decimal numbers in scientific exponential notation (E notation), e.g. 1.59e+3.
|
dropDown
|
boolean
|
false
|
Sets or gets whether the jqxFormattedInput's dropdown (pop-up) will be enabled. The dropdown allows the user to choose the radix (numeral system) of the displayed number.
Note: the dropdown requires an additional empty div element in the initialization div of jqxFormattedInput.
|
dropDownWidth
|
number | string
|
null
|
Sets or gets the width of the jqxFormattedInput's dropdown (pop-up).
|
height
|
number | string
|
null
|
Sets or gets the jqxFormattedInput's height.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxFormattedInput, { IFormattedInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxformattedinput'; class App extends React.PureComponent<{}, IFormattedInputProps> { private myFormattedInput = React.createRef<JqxFormattedInput>(); public render() { return ( <JqxFormattedInput ref={this.myFormattedInput} height={25} value={25300} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
min
|
number | string
|
'-9223372036854775808'
|
Sets or gets the minimum value of the widget. The value of min should be in the same numeral system as value . The min property can be set to no less than '-9223372036854775808' (-263) in decimal.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxFormattedInput, { IFormattedInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxformattedinput'; class App extends React.PureComponent<{}, IFormattedInputProps> { private myFormattedInput = React.createRef<JqxFormattedInput>(); public render() { return ( <JqxFormattedInput ref={this.myFormattedInput} min={0} spinButtons={true} value={1} height={25} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
max
|
number | string
|
'9223372036854775807'
|
Sets or gets the maximum value of the widget. The value of max should be in the same numeral system as value . The max property can be set to no more than '9223372036854775807' (263 - 1) in decimal.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxFormattedInput, { IFormattedInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxformattedinput'; class App extends React.PureComponent<{}, IFormattedInputProps> { private myFormattedInput = React.createRef<JqxFormattedInput>(); public render() { return ( <JqxFormattedInput ref={this.myFormattedInput} max={111110100} spinButtons={true} value={11111101} height={25} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
placeHolder
|
string
|
''
|
Sets or gets the jqxFormattedInput's placeholder.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxFormattedInput, { IFormattedInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxformattedinput'; class App extends React.PureComponent<{}, IFormattedInputProps> { private myFormattedInput = React.createRef<JqxFormattedInput>(); public render() { return ( <JqxFormattedInput ref={this.myFormattedInput} placeHolder={ 'Enter a number'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
popupZIndex
|
number
|
20000
|
Sets or gets the pop-up's z-index.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxFormattedInput, { IFormattedInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxformattedinput'; class App extends React.PureComponent<{}, IFormattedInputProps> { private myFormattedInput = React.createRef<JqxFormattedInput>(); public render() { return ( <JqxFormattedInput ref={this.myFormattedInput} popupZIndex={99999} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
roundedCorners
|
boolean
|
true
|
Enables or disables the rounded corners functionality. This property setting has effect in browsers which support CSS border-radius.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxFormattedInput, { IFormattedInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxformattedinput'; class App extends React.PureComponent<{}, IFormattedInputProps> { private myFormattedInput = React.createRef<JqxFormattedInput>(); public render() { return ( <JqxFormattedInput ref={this.myFormattedInput} roundedCorners={false} height={25} width={250} spinButtons={true} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
rtl
|
boolean
|
false
|
Sets or gets a value indicating whether widget's elements are aligned to support locales using right-to-left fonts.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxFormattedInput, { IFormattedInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxformattedinput'; class App extends React.PureComponent<{}, IFormattedInputProps> { private myFormattedInput = React.createRef<JqxFormattedInput>(); public render() { return ( <JqxFormattedInput ref={this.myFormattedInput} rtl={true} height={25} width={250} spinButtons={true} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
radix
|
number | string
|
10
|
Sets or gets the radix of the jqxFormattedInput. The radix specifies the numeral system in which to display the widget's value.
Possible values
2 or 'binary' - specifies the binary numeral system. Allowed characters for this numeral system are the digits 0 and 1;
8 or 'octal' - specifies the octal numeral system. Allowed characters for this numeral system are the digits from 0 to 7;
10 or 'decimal' - specifies the decimal numeral system. Allowed characters for this numeral system are the digits from 0 to 9;
16 or 'hexadecimal' - specifies the hexadecimal numeral system. Allowed characters for this numeral system are the digits from 0 to 9 and letters from a to f (case insenstive).
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxFormattedInput, { IFormattedInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxformattedinput'; class App extends React.PureComponent<{}, IFormattedInputProps> { private myFormattedInput = React.createRef<JqxFormattedInput>(); public render() { return ( <JqxFormattedInput ref={this.myFormattedInput} radix={ 'hexadecimal'} value={'fd'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
spinButtons
|
boolean
|
true
|
Shows or hides the spin buttons.
Note: the spin buttons require an additional empty div element in the initialization div of jqxFormattedInput.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxFormattedInput, { IFormattedInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxformattedinput'; class App extends React.PureComponent<{}, IFormattedInputProps> { private myFormattedInput = React.createRef<JqxFormattedInput>(); public render() { return ( <JqxFormattedInput ref={this.myFormattedInput} spinButtons={true} height={25} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
spinButtonsStep
|
number
|
1
|
Sets or gets the increase/decrease step. The value of spinButtonsStep is a decimal number.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxFormattedInput, { IFormattedInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxformattedinput'; class App extends React.PureComponent<{}, IFormattedInputProps> { private myFormattedInput = React.createRef<JqxFormattedInput>(); public render() { return ( <JqxFormattedInput ref={this.myFormattedInput} spinButtons={true} spinButtonsStep={3} height={25} width={250} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
template
|
FormattedInputTemplate
|
'default'
|
FormattedInputTemplate: "default" | "primary" | "success" | "warning" | "danger" | "info"
Determines the template as an alternative of the default styles.
Possible Values:
'default' - the default template. The style depends only on the "theme" property value.
'primary' - dark blue style for extra visual weight.
'success' - green style for successful or positive action.
'warning' - orange style which indicates caution.
'danger' - red style which indicates a dangerous or negative action.
'info' - blue button, not tied to a semantic action or use.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxFormattedInput, { IFormattedInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxformattedinput'; class App extends React.PureComponent<{}, IFormattedInputProps> { private myFormattedInput = React.createRef<JqxFormattedInput>(); public render() { return ( <JqxFormattedInput ref={this.myFormattedInput} template={ 'primary'} spinButtons={true} height={25} width={250} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
theme
|
string
|
''
|
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxFormattedInput, { IFormattedInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxformattedinput'; class App extends React.PureComponent<{}, IFormattedInputProps> { private myFormattedInput = React.createRef<JqxFormattedInput>(); public render() { return ( <JqxFormattedInput ref={this.myFormattedInput} theme={ 'material'} spinButtons={true} height={25} width={250} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
upperCase
|
boolean
|
false
|
Sets or gets whether to use upper case when the radix property is set to 16 or 'hexadecimal'.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxFormattedInput, { IFormattedInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxformattedinput'; class App extends React.PureComponent<{}, IFormattedInputProps> { private myFormattedInput = React.createRef<JqxFormattedInput>(); public render() { return ( <JqxFormattedInput ref={this.myFormattedInput} upperCase={true} radix={ 'hexadecimal'} value={'fd'} height={25} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
value
|
number | string
|
'0'
|
Sets or gets the value of the jqxFormattedInput widget. The value is in the numeral system specified by the radix property.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxFormattedInput, { IFormattedInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxformattedinput'; class App extends React.PureComponent<{}, IFormattedInputProps> { private myFormattedInput = React.createRef<JqxFormattedInput>(); public render() { return ( <JqxFormattedInput ref={this.myFormattedInput} value={25300} height={25} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
width
|
number | string
|
null
|
Sets or gets the jqxFormattedInput's width.
|
|
change
|
Event
|
|
This event is triggered when the value is changed.
Code examples
Bind to the change event of jqxFormattedInput.
|
close
|
Event
|
|
This event is triggered when the pop-up is closed.
Code examples
Bind to the close event of jqxFormattedInput.
|
open
|
Event
|
|
This event is triggered when the pop-up is opened.
Code examples
Bind to the open event of jqxFormattedInput.
|
radixChange
|
Event
|
|
This event is triggered when the radix is changed.
Code examples
Bind to the radixChange event of jqxFormattedInput.
|
|
Name | Arguments | Return Type |
close
|
None
|
|
Closes the jqxFormattedInput pop-up.
|
destroy
|
None
|
|
Destroys the widget.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxFormattedInput, { IFormattedInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxformattedinput'; class App extends React.PureComponent<{}, IFormattedInputProps> { private myFormattedInput = React.createRef<JqxFormattedInput>(); public componentDidMount(): void { this.myFormattedInput.current!.destroy(); } public render() { return ( <JqxFormattedInput ref={this.myFormattedInput} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
focus
|
None
|
|
Focuses the widget.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxFormattedInput, { IFormattedInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxformattedinput'; class App extends React.PureComponent<{}, IFormattedInputProps> { private myFormattedInput = React.createRef<JqxFormattedInput>(); public componentDidMount(): void { this.myFormattedInput.current!.focus(); } public render() { return ( <JqxFormattedInput ref={this.myFormattedInput} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
open
|
None
|
|
Opens the jqxFormattedInput pop-up.
|
render
|
None
|
|
Renders the widget.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxFormattedInput, { IFormattedInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxformattedinput'; class App extends React.PureComponent<{}, IFormattedInputProps> { private myFormattedInput = React.createRef<JqxFormattedInput>(); public componentDidMount(): void { this.myFormattedInput.current!.render(); } public render() { return ( <JqxFormattedInput ref={this.myFormattedInput} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
refresh
|
None
|
|
Refreshes the widget.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxFormattedInput, { IFormattedInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxformattedinput'; class App extends React.PureComponent<{}, IFormattedInputProps> { private myFormattedInput = React.createRef<JqxFormattedInput>(); public componentDidMount(): void { this.myFormattedInput.current!.refresh(); } public render() { return ( <JqxFormattedInput ref={this.myFormattedInput} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
selectAll
|
None
|
|
Selects the text in the input field.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxFormattedInput, { IFormattedInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxformattedinput'; class App extends React.PureComponent<{}, IFormattedInputProps> { private myFormattedInput = React.createRef<JqxFormattedInput>(); public componentDidMount(): void { this.myFormattedInput.current!.selectAll(); } public render() { return ( <JqxFormattedInput ref={this.myFormattedInput} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
selectFirst
|
None
|
|
Positions the caret in the beginning of the number in the input.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxFormattedInput, { IFormattedInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxformattedinput'; class App extends React.PureComponent<{}, IFormattedInputProps> { private myFormattedInput = React.createRef<JqxFormattedInput>(); public componentDidMount(): void { this.myFormattedInput.current!.selectFirst(); } public render() { return ( <JqxFormattedInput ref={this.myFormattedInput} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
selectLast
|
None
|
|
Positions the caret at the end of the number in the input.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxFormattedInput, { IFormattedInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxformattedinput'; class App extends React.PureComponent<{}, IFormattedInputProps> { private myFormattedInput = React.createRef<JqxFormattedInput>(); public componentDidMount(): void { this.myFormattedInput.current!.selectLast(); } public render() { return ( <JqxFormattedInput ref={this.myFormattedInput} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
val
|
value
|
|
Sets or gets the value.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxFormattedInput, { IFormattedInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxformattedinput'; class App extends React.PureComponent<{}, IFormattedInputProps> { private myFormattedInput = React.createRef<JqxFormattedInput>(); public componentDidMount(): void { this.myFormattedInput.current!.val(); } public render() { return ( <JqxFormattedInput ref={this.myFormattedInput} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|

Name | Type | Default |
disabled
|
Boolean
|
false
|
Sets or gets the disabled property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxFormattedInput #myFormattedInput [width]="250" [height]="25" [disabled]="true"> </jqxFormattedInput> `}) export class AppComponent {
|
decimalNotation
|
enum:FormattedInputDecimalNotation
|
"default"
|
enum FormattedInputDecimalNotation { default, exponential } Sets or gets the decimalNotation property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxFormattedInput #myFormattedInput [width]="250" [height]="25" [decimalNotation]="'exponential'"> </jqxFormattedInput> `}) export class AppComponent {
|
dropDown
|
Boolean
|
false
|
Sets or gets the dropDown property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxFormattedInput #myFormattedInput [width]="250" [height]="25" [dropDown]="true"> </jqxFormattedInput> `}) export class AppComponent {
|
dropDownWidth
|
Number | String
|
null
|
Sets or gets the dropDownWidth property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxFormattedInput #myFormattedInput [width]="250" [height]="25" [dropDownWidth]="200"> </jqxFormattedInput> `}) export class AppComponent {
|
height
|
Number | String
|
null
|
Sets or gets the height property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxFormattedInput #myFormattedInput [width]="250" [height]="25"> </jqxFormattedInput> `}) export class AppComponent {
|
min
|
Number | String
|
'-9223372036854775808'
|
Sets or gets the min property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxFormattedInput #myFormattedInput [width]="250" [height]="25" [min]="0"> </jqxFormattedInput> `}) export class AppComponent {
|
max
|
Number | String
|
'9223372036854775807'
|
Sets or gets the max property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxFormattedInput #myFormattedInput [width]="250" [height]="25" [max]="111110100"> </jqxFormattedInput> `}) export class AppComponent {
|
placeHolder
|
String
|
''
|
Sets or gets the placeHolder property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxFormattedInput #myFormattedInput [width]="250" [height]="25" [placeHolder]="'Enter a number'"> </jqxFormattedInput> `}) export class AppComponent {
|
popupZIndex
|
Number
|
20000
|
Sets or gets the popupZIndex property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxFormattedInput #myFormattedInput [width]="250" [height]="25" [popupZIndex]="99999"> </jqxFormattedInput> `}) export class AppComponent {
|
roundedCorners
|
Boolean
|
true
|
Sets or gets the roundedCorners property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxFormattedInput #myFormattedInput [width]="250" [height]="25" [roundedCorners]="true"> </jqxFormattedInput> `}) export class AppComponent {
|
rtl
|
Boolean
|
false
|
Sets or gets the rtl property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxFormattedInput #myFormattedInput [width]="250" [height]="25" [rtl]="true"> </jqxFormattedInput> `}) export class AppComponent {
|
radix
|
Number | String
|
10
|
Sets or gets the radix property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxFormattedInput #myFormattedInput [width]="250" [height]="25" [radix]="'hexadecimal'"> </jqxFormattedInput> `}) export class AppComponent {
|
spinButtons
|
Boolean
|
true
|
Sets or gets the spinButtons property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxFormattedInput #myFormattedInput [width]="250" [height]="25" [spinButtons]="true"> </jqxFormattedInput> `}) export class AppComponent {
|
spinButtonsStep
|
Number
|
1
|
Sets or gets the spinButtonsStep property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxFormattedInput #myFormattedInput [width]="250" [height]="25" [spinButtons]="true" [spinButtonsStep]="3"> </jqxFormattedInput> `}) export class AppComponent {
|
template
|
enum:FormattedInputTemplate
|
'default'
|
enum FormattedInputTemplate { default, primary, success, warning, danger, info } Sets or gets the template property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxFormattedInput #myFormattedInput [width]="250" [height]="25" [template]="'primary'"> </jqxFormattedInput> `}) export class AppComponent {
|
theme
|
String
|
''
|
Sets or gets the theme property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxFormattedInput #myFormattedInput [width]="250" [height]="25" [theme]="'energyblue'"> </jqxFormattedInput> `}) export class AppComponent {
|
upperCase
|
Boolean
|
false
|
Sets or gets the upperCase property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxFormattedInput #myFormattedInput [width]="250" [height]="25" [upperCase]="true"> </jqxFormattedInput> `}) export class AppComponent {
|
value
|
String
|
'0'
|
Sets or gets the value property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxFormattedInput #myFormattedInput [width]="250" [height]="25" [value]="0"> </jqxFormattedInput> `}) export class AppComponent {
|
width
|
Number | String
|
null
|
Sets or gets the width property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxFormattedInput #myFormattedInput [width]="250" [height]="25"> </jqxFormattedInput> `}) export class AppComponent {
|
|
change
|
Event
|
|
This event is triggered when the value is changed.
Code examples
Bind to the change event of jqxFormattedInput.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxFormattedInput #myFormattedInput (onChange)="Change($event)" [width]="250" [height]="25"> </jqxFormattedInput> `}) export class AppComponent {
|
close
|
Event
|
|
This event is triggered when the pop-up is closed.
Code examples
Bind to the close event of jqxFormattedInput.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxFormattedInput #myFormattedInput (onClose)="Close($event)" [width]="250" [height]="25"> </jqxFormattedInput> `}) export class AppComponent {
|
open
|
Event
|
|
This event is triggered when the pop-up is opened.
Code examples
Bind to the open event of jqxFormattedInput.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxFormattedInput #myFormattedInput (onOpen)="Open($event)" [width]="250" [height]="25"> </jqxFormattedInput> `}) export class AppComponent {
|
radixChange
|
Event
|
|
This event is triggered when the radix is changed.
Code examples
Bind to the radixChange event of jqxFormattedInput.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxFormattedInput #myFormattedInput (onRadixChange)="RadixChange($event)" [width]="250" [height]="25"> </jqxFormattedInput> `}) export class AppComponent { RadixChange(event: any): void
|
|
Name | Return Type | Arguments |
close
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxFormattedInput #myFormattedInput [width]="250" [height]="25"> </jqxFormattedInput> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myFormattedInput') myFormattedInput: jqxFormattedInputComponent; ngAfterViewInit(): void { this.myFormattedInput.close();
|
destroy
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxFormattedInput #myFormattedInput [width]="250" [height]="25"> </jqxFormattedInput> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myFormattedInput') myFormattedInput: jqxFormattedInputComponent; ngAfterViewInit(): void { this.myFormattedInput.destroy();
|
focus
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxFormattedInput #myFormattedInput [width]="250" [height]="25"> </jqxFormattedInput> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myFormattedInput') myFormattedInput: jqxFormattedInputComponent; ngAfterViewInit(): void { this.myFormattedInput.focus();
|
open
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxFormattedInput #myFormattedInput [width]="250" [height]="25"> </jqxFormattedInput> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myFormattedInput') myFormattedInput: jqxFormattedInputComponent; ngAfterViewInit(): void { this.myFormattedInput.open();
|
render
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxFormattedInput #myFormattedInput [width]="250" [height]="25"> </jqxFormattedInput> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myFormattedInput') myFormattedInput: jqxFormattedInputComponent; ngAfterViewInit(): void { this.myFormattedInput.render();
|
refresh
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxFormattedInput #myFormattedInput [width]="250" [height]="25"> </jqxFormattedInput> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myFormattedInput') myFormattedInput: jqxFormattedInputComponent; ngAfterViewInit(): void { this.myFormattedInput.refresh();
|
selectAll
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxFormattedInput #myFormattedInput [width]="250" [height]="25"> </jqxFormattedInput> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myFormattedInput') myFormattedInput: jqxFormattedInputComponent; ngAfterViewInit(): void { this.myFormattedInput.selectAll();
|
selectFirst
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxFormattedInput #myFormattedInput [width]="250" [height]="25"> </jqxFormattedInput> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myFormattedInput') myFormattedInput: jqxFormattedInputComponent; ngAfterViewInit(): void { this.myFormattedInput.selectFirst();
|
selectLast
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxFormattedInput #myFormattedInput [width]="250" [height]="25"> </jqxFormattedInput> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myFormattedInput') myFormattedInput: jqxFormattedInputComponent; ngAfterViewInit(): void { this.myFormattedInput.selectLast();
|
val
|
Any
|
value: String | Number
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxFormattedInput #myFormattedInput [width]="250" [height]="25"> </jqxFormattedInput> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myFormattedInput') myFormattedInput: jqxFormattedInputComponent; ngAfterViewInit(): void { let value = this.myFormattedInput.val();
|

Name | Type | Default |
disabled
|
Boolean
|
false
|
Enables or disables the jqxFormattedInput.
<template> <JqxFormattedInput ref="myFormattedInput" :disabled="true" /> </template>
<script> import JqxFormattedInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxformattedinput.vue';
Get the disabled property. let disabled = this.$refs.myFormattedInput.disabled;
|
decimalNotation
|
String
|
"default"
|
Sets or gets the notation in which to display decimal numbers.
Possible values
'default' - the default representation of decimal numbers, e.g. 1590;
'exponential' - representation of decimal numbers in scientific exponential notation (E notation), e.g. 1.59e+3.
<template> <JqxFormattedInput ref="myFormattedInput" :decimalNotation="'exponential'" :radix="'decimal'" :value="253000" :width="250" :height="25" /> </template> <script> import JqxFormattedInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxformattedinput.vue';
Get the decimalNotation property. let decimalNotation = this.$refs.myFormattedInput.decimalNotation;
|
dropDown
|
Boolean
|
false
|
Sets or gets whether the jqxFormattedInput's dropdown (pop-up) will be enabled. The dropdown allows the user to choose the radix (numeral system) of the displayed number.
Note: the dropdown requires an additional empty div element in the initialization div of jqxFormattedInput.
<template> <JqxFormattedInput :width="250" :height="25" :radix="'decimal'" :value="253000" :spinButtons="true" :dropDown="true"> </JqxFormattedInput> </template> <script> import JqxFormattedInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxformattedinput.vue';
Get the dropDown property. let dropDown = this.$refs.myFormattedInput.dropDown;
|
dropDownWidth
|
Number
|
null
|
Sets or gets the width of the jqxFormattedInput's dropdown (pop-up).
<template> <JqxFormattedInput :width="100" :height="25" :radix="'binary'" :dropDownWidth="200" :value="11111101" :spinButtons="false" :dropDown="true" /> </template> <script> import JqxFormattedInput from "jqwidgets-scripts/jqwidgets-vue/vue_jqxformattedinput.vue";
Get the dropDownWidth property. let dropDownWidth = this.$refs.myFormattedInput.dropDownWidth;
|
height
|
Number | String
|
null
|
Sets or gets the jqxFormattedInput's height.
<template> <JqxFormattedInput ref="myFormattedInput" :height="25" :value="25300" /> </template>
<script> import JqxFormattedInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxformattedinput.vue';
Get the height property. let height = this.$refs.myFormattedInput.height;
|
min
|
Number | String
|
'-9223372036854775808'
|
Sets or gets the minimum value of the widget. The value of min should be in the same numeral system as value . The min property can be set to no less than '-9223372036854775808' (-263) in decimal.
<template> <JqxFormattedInput ref="myFormattedInput" :min="0" :spinButtons="true" :value="1" :height="25" /> </template>
<script> import JqxFormattedInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxformattedinput.vue';
Get the min property. let min = this.$refs.myFormattedInput.min;
|
max
|
Number | String
|
'9223372036854775807'
|
Sets or gets the maximum value of the widget. The value of max should be in the same numeral system as value . The max property can be set to no more than '9223372036854775807' (263 - 1) in decimal.
<template> <JqxFormattedInput ref="myFormattedInput" :max="111110100" :spinButtons="true" :value="11111101" :height="25" /> </template>
<script> import JqxFormattedInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxformattedinput.vue';
Get the max property. let max = this.$refs.myFormattedInput.max;
|
placeHolder
|
String
|
''
|
Sets or gets the jqxFormattedInput's placeholder.
<template> <JqxFormattedInput ref="myFormattedInput" :placeHolder="'Enter a number'" /> </template>
<script> import JqxFormattedInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxformattedinput.vue';
Get the placeHolder property. let placeHolder = this.$refs.myFormattedInput.placeHolder;
|
popupZIndex
|
Number
|
20000
|
Sets or gets the pop-up's z-index.
<template> <JqxFormattedInput ref="myFormattedInput" :popupZIndex="99999" /> </template>
<script> import JqxFormattedInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxformattedinput.vue';
Get the popupZIndex property. let popupZIndex = this.$refs.myFormattedInput.popupZIndex;
|
roundedCorners
|
Boolean
|
true
|
Enables or disables the rounded corners functionality. This property setting has effect in browsers which support CSS border-radius.
<template> <JqxFormattedInput ref="myFormattedInput" :roundedCorners="false" :height="25" :width="250" :spinButtons="true" /> </template>
<script> import JqxFormattedInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxformattedinput.vue';
Get the roundedCorners property. let roundedCorners = this.$refs.myFormattedInput.roundedCorners;
|
rtl
|
Boolean
|
false
|
Sets or gets a value indicating whether widget's elements are aligned to support locales using right-to-left fonts.
<template> <JqxFormattedInput ref="myFormattedInput" :rtl="true" :height="25" :width="250" :spinButtons="true" /> </template>
<script> import JqxFormattedInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxformattedinput.vue';
Get the rtl property. let rtl = this.$refs.myFormattedInput.rtl;
|
radix
|
Number | String
|
10
|
Sets or gets the radix of the jqxFormattedInput. The radix specifies the numeral system in which to display the widget's value.
Possible values
2 or 'binary' - specifies the binary numeral system. Allowed characters for this numeral system are the digits 0 and 1;
8 or 'octal' - specifies the octal numeral system. Allowed characters for this numeral system are the digits from 0 to 7;
10 or 'decimal' - specifies the decimal numeral system. Allowed characters for this numeral system are the digits from 0 to 9;
16 or 'hexadecimal' - specifies the hexadecimal numeral system. Allowed characters for this numeral system are the digits from 0 to 9 and letters from a to f (case insenstive).
<template> <JqxFormattedInput ref="myFormattedInput" :radix="'hexadecimal'" :value="'fd'" /> </template>
<script> import JqxFormattedInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxformattedinput.vue';
Get the radix property. let radix = this.$refs.myFormattedInput.radix;
|
spinButtons
|
Boolean
|
true
|
Shows or hides the spin buttons.
Note: the spin buttons require an additional empty div element in the initialization div of jqxFormattedInput.
<template> <JqxFormattedInput ref="myFormattedInput" :spinButtons="true" :height="25" /> </template>
<script> import JqxFormattedInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxformattedinput.vue';
Get the spinButtons property. let spinButtons = this.$refs.myFormattedInput.spinButtons;
|
spinButtonsStep
|
Number
|
1
|
Sets or gets the increase/decrease step. The value of spinButtonsStep is a decimal number.
<template> <JqxFormattedInput ref="myFormattedInput" :spinButtons="true" :spinButtonsStep="3" :height="25" :width="250" /> </template>
<script> import JqxFormattedInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxformattedinput.vue';
Get the spinButtonsStep property. let spinButtonsStep = this.$refs.myFormattedInput.spinButtonsStep;
|
template
|
String
|
'default'
|
Determines the template as an alternative of the default styles.
Possible Values:
'default' - the default template. The style depends only on the "theme" property value.
'primary' - dark blue style for extra visual weight.
'success' - green style for successful or positive action.
'warning' - orange style which indicates caution.
'danger' - red style which indicates a dangerous or negative action.
'info' - blue button, not tied to a semantic action or use.
<template> <JqxFormattedInput ref="myFormattedInput" :template="'primary'" :spinButtons="true" :height="25" :width="250" /> </template>
<script> import JqxFormattedInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxformattedinput.vue';
Get the template property. let template = this.$refs.myFormattedInput.template;
|
theme
|
String
|
''
|
Sets the widget's theme.
<template> <JqxFormattedInput ref="myFormattedInput" :theme="'material'" :spinButtons="true" :height="25" :width="250" /> </template>
<script> import JqxFormattedInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxformattedinput.vue';
|
upperCase
|
Boolean
|
false
|
Sets or gets whether to use upper case when the radix property is set to 16 or 'hexadecimal'.
<template> <JqxFormattedInput ref="myFormattedInput" :upperCase="true" :radix="'hexadecimal'" :value="'fd'" :height="25" /> </template>
<script> import JqxFormattedInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxformattedinput.vue';
Get the upperCase property. let upperCase = this.$refs.myFormattedInput.upperCase;
|
value
|
Number | String
|
'0'
|
Sets or gets the value of the jqxFormattedInput widget. The value is in the numeral system specified by the radix property.
<template> <JqxFormattedInput ref="myFormattedInput" :value="25300" :height="25" /> </template>
<script> import JqxFormattedInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxformattedinput.vue';
Get the value property. let value = this.$refs.myFormattedInput.value;
|
width
|
Number | String
|
null
|
Sets or gets the jqxFormattedInput's width.
<template> <JqxFormattedInput ref="myFormattedInput" :width="200" :height="25" :spinButtons="true" :radix="'binary'" :value="11111101" /> </template> <script> import JqxFormattedInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxformattedinput.vue';
Get the width property. let width = this.$refs.myFormattedInput.width;
|
|
change
|
Event
|
|
This event is triggered when the value is changed.
Code examples
Bind to the change event of jqxFormattedInput.
<template> <div> <JqxFormattedInput @open="onOpen($event)" @close="onClose($event)" @change="onChange($event)" @radixChange="onRadixChange($event)" :width="300" :height="25" :radix="'decimal'" :value="190" :spinButtons="true" :dropDown="true"> </JqxFormattedInput> <div style="margin-top: 150px"> Events log: </div> <JqxPanel ref="myPanel" :width="300" :height="150"></JqxPanel> </div></template><script> import JqxFormattedInput from "jqwidgets-scripts/jqwidgets-vue/vue_jqxformattedinput.vue"; import JqxPanel from "jqwidgets-scripts/jqwidgets-vue/vue_jqxpanel.vue"; export default { components: { JqxFormattedInput, JqxPanel }, methods: { onOpen: function (event) { this.$refs.myPanel.append( '<strong>' + event.type + '</strong><br />'); }, onClose: function (event) { this.$refs.myPanel.append( '<strong>' + event.type + '</strong><br />'); }, onChange: function (event) { const args = event.args; const newValue = args.value; const oldValue = args.oldValue; const radix = args.radix; this.$refs.myPanel.append( '<strong>' + event.type + '</strong><br />' + 'value: ' + newValue + ', old value: ' + oldValue + ', radix: ' + radix + '<br />'); }, onRadixChange: function (event) { const args = event.args; const newRadix = args.radix; const oldRadix = args.oldRadix; const newValue = args.value; const oldValue = args.oldValue; this.$refs.myPanel.append( '<strong>' + event.type + '</strong><br />' + 'radix: ' + newRadix + ', old radix: ' + oldRadix + '<br />value: ' + newValue + ', old value: ' + oldValue + '<br />');
|
close
|
Event
|
|
This event is triggered when the pop-up is closed.
Code examples
Bind to the close event of jqxFormattedInput.
<template> <div> <JqxFormattedInput @open="onOpen($event)" @close="onClose($event)" @change="onChange($event)" @radixChange="onRadixChange($event)" :width="300" :height="25" :radix="'decimal'" :value="190" :spinButtons="true" :dropDown="true"> </JqxFormattedInput> <div style="margin-top: 150px"> Events log: </div> <JqxPanel ref="myPanel" :width="300" :height="150"></JqxPanel> </div></template><script> import JqxFormattedInput from "jqwidgets-scripts/jqwidgets-vue/vue_jqxformattedinput.vue"; import JqxPanel from "jqwidgets-scripts/jqwidgets-vue/vue_jqxpanel.vue"; export default { components: { JqxFormattedInput, JqxPanel }, methods: { onOpen: function (event) { this.$refs.myPanel.append( '<strong>' + event.type + '</strong><br />'); }, onClose: function (event) { this.$refs.myPanel.append( '<strong>' + event.type + '</strong><br />'); }, onChange: function (event) { const args = event.args; const newValue = args.value; const oldValue = args.oldValue; const radix = args.radix; this.$refs.myPanel.append( '<strong>' + event.type + '</strong><br />' + 'value: ' + newValue + ', old value: ' + oldValue + ', radix: ' + radix + '<br />'); }, onRadixChange: function (event) { const args = event.args; const newRadix = args.radix; const oldRadix = args.oldRadix; const newValue = args.value; const oldValue = args.oldValue; this.$refs.myPanel.append( '<strong>' + event.type + '</strong><br />' + 'radix: ' + newRadix + ', old radix: ' + oldRadix + '<br />value: ' + newValue + ', old value: ' + oldValue + '<br />');
|
open
|
Event
|
|
This event is triggered when the pop-up is opened.
Code examples
Bind to the open event of jqxFormattedInput.
<template> <div> <JqxFormattedInput @open="onOpen($event)" @close="onClose($event)" @change="onChange($event)" @radixChange="onRadixChange($event)" :width="300" :height="25" :radix="'decimal'" :value="190" :spinButtons="true" :dropDown="true"> </JqxFormattedInput> <div style="margin-top: 150px"> Events log: </div> <JqxPanel ref="myPanel" :width="300" :height="150"></JqxPanel> </div></template><script> import JqxFormattedInput from "jqwidgets-scripts/jqwidgets-vue/vue_jqxformattedinput.vue"; import JqxPanel from "jqwidgets-scripts/jqwidgets-vue/vue_jqxpanel.vue"; export default { components: { JqxFormattedInput, JqxPanel }, methods: { onOpen: function (event) { this.$refs.myPanel.append( '<strong>' + event.type + '</strong><br />'); }, onClose: function (event) { this.$refs.myPanel.append( '<strong>' + event.type + '</strong><br />'); }, onChange: function (event) { const args = event.args; const newValue = args.value; const oldValue = args.oldValue; const radix = args.radix; this.$refs.myPanel.append( '<strong>' + event.type + '</strong><br />' + 'value: ' + newValue + ', old value: ' + oldValue + ', radix: ' + radix + '<br />'); }, onRadixChange: function (event) { const args = event.args; const newRadix = args.radix; const oldRadix = args.oldRadix; const newValue = args.value; const oldValue = args.oldValue; this.$refs.myPanel.append( '<strong>' + event.type + '</strong><br />' + 'radix: ' + newRadix + ', old radix: ' + oldRadix + '<br />value: ' + newValue + ', old value: ' + oldValue + '<br />');
|
radixChange
|
Event
|
|
This event is triggered when the radix is changed.
Code examples
Bind to the radixChange event of jqxFormattedInput.
<template> <div> <JqxFormattedInput @open="onOpen($event)" @close="onClose($event)" @change="onChange($event)" @radixChange="onRadixChange($event)" :width="300" :height="25" :radix="'decimal'" :value="190" :spinButtons="true" :dropDown="true"> </JqxFormattedInput> <div style="margin-top: 150px"> Events log: </div> <JqxPanel ref="myPanel" :width="300" :height="150"></JqxPanel> </div></template><script> import JqxFormattedInput from "jqwidgets-scripts/jqwidgets-vue/vue_jqxformattedinput.vue"; import JqxPanel from "jqwidgets-scripts/jqwidgets-vue/vue_jqxpanel.vue"; export default { components: { JqxFormattedInput, JqxPanel }, methods: { onOpen: function (event) { this.$refs.myPanel.append( '<strong>' + event.type + '</strong><br />'); }, onClose: function (event) { this.$refs.myPanel.append( '<strong>' + event.type + '</strong><br />'); }, onChange: function (event) { const args = event.args; const newValue = args.value; const oldValue = args.oldValue; const radix = args.radix; this.$refs.myPanel.append( '<strong>' + event.type + '</strong><br />' + 'value: ' + newValue + ', old value: ' + oldValue + ', radix: ' + radix + '<br />'); }, onRadixChange: function (event) { const args = event.args; const newRadix = args.radix; const oldRadix = args.oldRadix; const newValue = args.value; const oldValue = args.oldValue; this.$refs.myPanel.append( '<strong>' + event.type + '</strong><br />' + 'radix: ' + newRadix + ', old radix: ' + oldRadix + '<br />value: ' + newValue + ', old value: ' + oldValue + '<br />');
|
|
Name | Arguments | Return Type |
close
|
None
|
None
|
Closes the jqxFormattedInput pop-up.
<template> <JqxFormattedInput ref="myFormattedInput" :width="200" :height="25" :radix="'decimal'" :value="190" :spinButtons="true" :dropDown="true"> </JqxFormattedInput> </template> <script> import JqxFormattedInput from "jqwidgets-scripts/jqwidgets-vue/vue_jqxformattedinput.vue"; export default { components: { JqxFormattedInput }, mounted: function () { this.$refs.myFormattedInput.open(); setTimeout(_ => this.$refs.myFormattedInput.close(), 1000);
|
destroy
|
None
|
None
|
Destroys the widget.
<template> <JqxFormattedInput ref="myFormattedInput" /> </template>
<script> import JqxFormattedInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxformattedinput.vue'; export default { components: { JqxFormattedInput }, mounted: function () { this.$refs.myFormattedInput.destroy();
|
focus
|
None
|
None
|
Focuses the widget.
<template> <JqxFormattedInput ref="myFormattedInput" /> </template>
<script> import JqxFormattedInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxformattedinput.vue'; export default { components: { JqxFormattedInput }, mounted: function () { this.$refs.myFormattedInput.focus();
|
open
|
None
|
None
|
Opens the jqxFormattedInput pop-up.
<template> <JqxFormattedInput ref="myFormattedInput" :width="200" :height="25" :radix="'decimal'" :value="190" :spinButtons="true" :dropDown="true"> </JqxFormattedInput> </template> <script> import JqxFormattedInput from "jqwidgets-scripts/jqwidgets-vue/vue_jqxformattedinput.vue"; export default { components: { JqxFormattedInput }, mounted: function () { this.$refs.myFormattedInput.open(); setTimeout(_ => this.$refs.myFormattedInput.close(), 1000);
|
render
|
None
|
None
|
Renders the widget.
<template> <JqxFormattedInput ref="myFormattedInput" /> </template>
<script> import JqxFormattedInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxformattedinput.vue'; export default { components: { JqxFormattedInput }, mounted: function () { this.$refs.myFormattedInput.render();
|
refresh
|
None
|
None
|
Refreshes the widget.
<template> <JqxFormattedInput ref="myFormattedInput" /> </template>
<script> import JqxFormattedInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxformattedinput.vue'; export default { components: { JqxFormattedInput }, mounted: function () { this.$refs.myFormattedInput.refresh();
|
selectAll
|
None
|
None
|
Selects the text in the input field.
<template> <JqxFormattedInput ref="myFormattedInput" /> </template>
<script> import JqxFormattedInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxformattedinput.vue'; export default { components: { JqxFormattedInput }, mounted: function () { this.$refs.myFormattedInput.value = 123456789; this.$refs.myFormattedInput.selectAll();
|
selectFirst
|
None
|
None
|
Positions the caret in the beginning of the number in the input.
<template> <JqxFormattedInput ref="myFormattedInput" /> </template>
<script> import JqxFormattedInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxformattedinput.vue'; export default { components: { JqxFormattedInput }, mounted: function () { this.$refs.myFormattedInput.value = 123456789; this.$refs.myFormattedInput.selectFirst();
|
selectLast
|
None
|
None
|
Positions the caret at the end of the number in the input.
<template> <JqxFormattedInput ref="myFormattedInput" /> </template>
<script> import JqxFormattedInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxformattedinput.vue'; export default { components: { JqxFormattedInput }, mounted: function () { this.$refs.myFormattedInput.value = 123456789; this.$refs.myFormattedInput.selectLast();
|
val
|
value
|
String
|
Sets or gets the value.
<template> <JqxFormattedInput ref="myFormattedInput" /> </template>
<script> import JqxFormattedInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxformattedinput.vue'; export default { components: { JqxFormattedInput }, mounted: function () { const value = this.$refs.myFormattedInput.val();
|